be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

## Class AcceptedIndicationReportType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.AcceptedIndicationReportType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class AcceptedIndicationReportType
      extends Object
      implements Serializable

  Volledig beeld van de indicatiestelling behorende bij de opname

  Java class for AcceptedIndicationReportType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AcceptedIndicationReportType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="IndicationReportVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
               <element name="IndicationReportStartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="KATZMeasurement" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}DetailType" minOccurs="0"/>
               <element name="CertificateDates" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CertificateType" minOccurs="0"/>
               <element name="CheckDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceptedIndicationReportType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateType` | `getCertificateDates()` Gets the value of the certificateDates property.
    `org.joda.time.DateTime` | `getCheckDate()` Gets the value of the checkDate property.
    `org.joda.time.DateTime` | `getIndicationReportStartDate()` Gets the value of the indicationReportStartDate property.
    `String` | `getIndicationReportVSBReference()` Gets the value of the indicationReportVSBReference property.
    `DetailType` | `getKATZMeasurement()` Gets the value of the katzMeasurement property.
    `void` | `setCertificateDates(CertificateType value)` Sets the value of the certificateDates property.
    `void` | `setCheckDate(org.joda.time.DateTime value)` Sets the value of the checkDate property.
    `void` | `setIndicationReportStartDate(org.joda.time.DateTime value)` Sets the value of the indicationReportStartDate property.
    `void` | `setIndicationReportVSBReference(String value)` Sets the value of the indicationReportVSBReference property.
    `void` | `setKATZMeasurement(DetailType value)` Sets the value of the katzMeasurement property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptedIndicationReportType

          public AcceptedIndicationReportType()

  - ### Method Detail

    - #### getIndicationReportVSBReference

          public String getIndicationReportVSBReference()

      Gets the value of the indicationReportVSBReference property.
      Returns:
        possible object is `String`

    - #### setIndicationReportVSBReference

          public void setIndicationReportVSBReference(String value)

      Sets the value of the indicationReportVSBReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndicationReportStartDate

          public org.joda.time.DateTime getIndicationReportStartDate()

      Gets the value of the indicationReportStartDate property.
      Returns:
        possible object is `String`

    - #### setIndicationReportStartDate

          public void setIndicationReportStartDate(org.joda.time.DateTime value)

      Sets the value of the indicationReportStartDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getKATZMeasurement

          public DetailType getKATZMeasurement()

      Gets the value of the katzMeasurement property.
      Returns:
        possible object is `DetailType`

    - #### setKATZMeasurement

          public void setKATZMeasurement(DetailType value)

      Sets the value of the katzMeasurement property.
      Parameters:
        `value` - allowed object is `DetailType`

    - #### getCertificateDates

          public CertificateType getCertificateDates()

      Gets the value of the certificateDates property.
      Returns:
        possible object is `CertificateType`

    - #### setCertificateDates

          public void setCertificateDates(CertificateType value)

      Sets the value of the certificateDates property.
      Parameters:
        `value` - allowed object is `CertificateType`

    - #### getCheckDate

          public org.joda.time.DateTime getCheckDate()

      Gets the value of the checkDate property.
      Returns:
        possible object is `String`

    - #### setCheckDate

          public void setCheckDate(org.joda.time.DateTime value)

      Sets the value of the checkDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.